> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Entitlement Owner

> DeleteEntitlementOwner deletes an entitlement ownership source for a user (service account).



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v2/users/{user_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/users/{user_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}:
    delete:
      tags:
        - User Owner V2
      summary: Delete Entitlement Owner
      description: >-
        DeleteEntitlementOwner deletes an entitlement ownership source for a
        user (service account).
      operationId: c1.api.user.v2.UserOwnersV2.DeleteEntitlementOwner
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            description: The userId field.
            type: string
        - in: path
          name: role_slug
          required: true
          schema:
            description: The roleSlug field.
            type: string
        - in: path
          name: app_entitlement_ref_app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: app_entitlement_ref_id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.user.v2.DeleteUserEntitlementOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.user.v2.DeleteUserEntitlementOwnerResponse
          description: >-
            DeleteUserEntitlementOwnerResponse is the empty response for
            deleting an entitlement ownership source on a user (service
            account).
      x-codeSamples:
        - lang: go
          label: DeleteEntitlementOwner
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.UserOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIUserV2UserOwnersV2DeleteEntitlementOwnerRequest{\n        AppEntitlementRefAppID: \"<id>\",\n        AppEntitlementRefID: \"<id>\",\n        RoleSlug: \"<value>\",\n        UserID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeleteUserEntitlementOwnerResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.user.v2.DeleteUserEntitlementOwnerRequestInput:
      description: >-
        DeleteUserEntitlementOwnerRequest is the request for deleting an
        entitlement ownership source on a user (service account).
      properties:
        appEntitlementRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
            - type: 'null'
      title: Delete User Entitlement Owner Request
      type: object
      x-speakeasy-name-override: DeleteUserEntitlementOwnerRequest
    c1.api.user.v2.DeleteUserEntitlementOwnerResponse:
      description: >-
        DeleteUserEntitlementOwnerResponse is the empty response for deleting an
        entitlement ownership source on a user (service account).
      title: Delete User Entitlement Owner Response
      type: object
      x-speakeasy-name-override: DeleteUserEntitlementOwnerResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type: string
        id:
          description: The id field.
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````